Bug 209240 - [update] www/hiawatha 10.1 -> 10.3
Summary: [update] www/hiawatha 10.1 -> 10.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-03 17:08 UTC by Fred
Modified: 2016-06-15 21:49 UTC (History)
2 users (show)

See Also:
portmaster: maintainer-feedback+


Attachments
patch (1.63 KB, patch)
2016-06-12 09:40 UTC, Kurt Jaeger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fred 2016-05-03 17:08:38 UTC
Could you please update the port to the latest Hiwatha 10.2
https://www.hiawatha-webserver.org/weblog/112
Comment 1 Chris Hutchinson 2016-05-04 16:40:39 UTC
(In reply to Fred from comment #0)
> Could you please update the port to the latest Hiwatha 10.2
> https://www.hiawatha-webserver.org/weblog/112

Thanks for your interest, Fred.
While I could update the port to 10.2. IMHO this is still pretty early in
this release cycle (only 3 days old).
I also see this release brings the letsencrypt dependency, if that option
is chosen. The only other change it brings, is the fix for HideProxy.
Which I recently added to 10.1, as 10.1_1.
I'll do some initial testing. But I'm going to wait about 30 days, before I
push the new version. This will help insure any last minute bug fixes
won't have to be added later. As they'll already have been found, and
incorporated in the (source) download.

Hope you understand, and thanks again for the info!

--Chris
Comment 2 Kurt Jaeger freebsd_committer 2016-06-12 09:40:44 UTC
Created attachment 171330 [details]
patch

diff is update to 10.3. testbuilds are fine, portlint is OK.
Comment 3 Chris Hutchinson 2016-06-14 13:57:43 UTC
I think it's been long enough now. No surprises have popped up.
Please commit.

Thanks Fred, Kurt!

--Chris
Comment 4 commit-hook freebsd_committer 2016-06-14 16:14:45 UTC
A commit references this bug:

Author: pi
Date: Tue Jun 14 16:14:33 UTC 2016
New revision: 416896
URL: https://svnweb.freebsd.org/changeset/ports/416896

Log:
  www/hiawatha: 10.1 -> 10.3

  Changes:
     https://www.hiawatha-webserver.org/weblog/112
     https://www.hiawatha-webserver.org/weblog/113

  PR:		209240
  Submitted by:	Fred <fred@trinitech.co.uk>
  Approved by:	Chris Hutchinson <portmaster@BSDforge.com> (maintainer)

Changes:
  head/www/hiawatha/Makefile
  head/www/hiawatha/distinfo
  head/www/hiawatha/files/patch-src__http.c
Comment 5 Kurt Jaeger freebsd_committer 2016-06-14 16:15:40 UTC
Committed, thanks. I think that the letsencrypt stuff is not yet integrated and needs some work.
Comment 6 Chris Hutchinson 2016-06-15 21:49:42 UTC
(In reply to Kurt Jaeger from comment #5)
> Committed, thanks. I think that the letsencrypt stuff is not yet integrated
> and needs some work.

Right you are. I'll see if I can make some time next week
to include it, as an additional option.

Thanks again, Kurt!

--Chris